<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.manager.mapper.WbsFormElementMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="wbsFormElementResultMap" type="org.springblade.manager.entity.WbsFormElement">
        <result column="id" property="id"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="f_id" property="fId"/>
        <result column="e_name" property="eName"/>
        <result column="e_type" property="eType"/>
        <result column="e_length" property="eLength"/>
        <result column="e_allow_deviation" property="eAllowDeviation"/>
        <result column="e_inspection_method" property="eInspectionMethod"/>
    </resultMap>


    <select id="selectWbsFormElementPage" resultMap="wbsFormElementResultMap">
        select * from m_wbs_form_element where is_deleted = 0
    </select>

</mapper>
